from django.conf.urls import url
from django.contrib import admin
from django.urls import path, include
from django.views.decorators.csrf import csrf_exempt
from graphene_django.views import GraphQLView

from DBoD import views
from .api import router

urlpatterns = [
    path('captcha/', include('captcha.urls')),
    path('', views.home, name='home'),
    path('settings/', include('dbsettings.urls')),
    url('', include('django_prometheus.urls')),
    path('dbod/', include('DBoD.urls')),
    path('runtime/', include('dbodruntime.urls')),
    path('mandant/', include('tenantservice.urls')),
    url(r'^selfservice/', views.selfserviceredirects),
    path('admin/citrixsessions', views.citrixsessions, name='citrixsessions'),
    path('admin/cacheips', views.cacheips, name='cacheips'),
    path('admin/', admin.site.urls),
    path('api/', include(router.urls)),
    url(r'^api-auth/', include('rest_framework.urls', namespace='rest_framework')),
    path('graphql', csrf_exempt(GraphQLView.as_view(graphiql=True)), name='graphql'),
]
