# Generated by Django 3.1.4 on 2020-12-15 11:07

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Tenant',
            fields=[
                ('code', models.CharField(help_text='A unique code used to identify this object', max_length=20,
                                          primary_key=True, serialize=False, unique=True)),
                ('name', models.CharField(help_text='The readable name for this object', max_length=200)),
                ('desc', models.CharField(help_text='A description or helpful text', max_length=200, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('lastupdate', models.DateTimeField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('type', models.CharField(choices=[('reDI', 'ReDI')], default='reDI', max_length=10)),
                ('sigel', models.CharField(max_length=10, null=True)),
                ('debis', models.CharField(max_length=10, null=True)),
                ('ezb', models.CharField(max_length=10, null=True)),
                ('shibb', models.URLField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TenantUserGroup',
            fields=[
                ('code', models.CharField(help_text='A unique code used to identify this object', max_length=20,
                                          primary_key=True, serialize=False, unique=True)),
                ('name', models.CharField(help_text='The readable name for this object', max_length=200)),
                ('desc', models.CharField(help_text='A description or helpful text', max_length=200, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('lastupdate', models.DateTimeField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('type',
                 models.CharField(choices=[('U', 'user'), ('A', 'admin'), ('T', 'test')], default='U', max_length=1)),
                ('tenant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='DBoD.tenant')),
            ],
        ),
        migrations.CreateModel(
            name='TenantUserGroupIPAuth',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('desc', models.CharField(help_text='A description or helpful text', max_length=200, null=True)),
                ('ipaddr', models.GenericIPAddressField(null=True)),
                ('ipstr', models.CharField(max_length=100, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('lastupdate', models.DateTimeField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('tenantusergroup',
                 models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='DBoD.tenantusergroup')),
            ],
        ),
        migrations.CreateModel(
            name='TenantUser',
            fields=[
                ('user',
                 models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False,
                                      to='auth.user')),
                ('tel', models.CharField(max_length=50, null=True)),
                ('is_tenantadmin', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('lastupdate', models.DateTimeField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('tenant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='DBoD.tenant')),
            ],
        ),
        migrations.CreateModel(
            name='TenantIPAuth',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('desc', models.CharField(help_text='A description or helpful text', max_length=200, null=True)),
                ('ipaddr', models.GenericIPAddressField(null=True)),
                ('ipstr', models.CharField(max_length=100, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('lastupdate', models.DateTimeField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('tenant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='DBoD.tenant')),
            ],
        ),
        migrations.CreateModel(
            name='Publisher',
            fields=[
                ('code', models.CharField(help_text='Shortcode, used like a ID for this resource.', max_length=50,
                                          primary_key=True, serialize=False, unique=True)),
                ('name', models.CharField(help_text='Readable name of the publisher, e.g. "Springer"', max_length=50)),
                ('description', models.CharField(blank=True,
                                                 help_text='Description if needed, e.g something like "This a copy of Springer, because of something"',
                                                 max_length=200, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('lastupdate', models.DateTimeField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('tenants', models.ManyToManyField(to='DBoD.Tenant')),
            ],
            options={
                'verbose_name': 'Publisher',
                'verbose_name_plural': 'Publishers',
            },
        ),
        migrations.CreateModel(
            name='EResource',
            fields=[
                ('code', models.CharField(help_text='Shortcode, used like a ID for this resource.', max_length=50,
                                          primary_key=True, serialize=False, unique=True)),
                ('name', models.CharField(
                    help_text='Readable name of the resource, e.g. "1000 Things to take to a lonely island"',
                    max_length=50)),
                ('description', models.CharField(blank=True,
                                                 help_text='Description if needed, e.g something like "Scanned hardcopy of a book as pdf"',
                                                 max_length=200, null=True)),
                ('restype', models.CharField(choices=[('PDF', 'PDF file'), ('EBOOK', 'eBook'), ('LINK', 'Link'),
                                                      ('PROXY', 'external link via proxy'),
                                                      ('DB', 'Database on citrix'), ('UNKNOWN', 'Unknown')],
                                             help_text='Which kind of resource is this?', max_length=10)),
                ('licences', models.IntegerField(help_text='Number of total licences', null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('lastupdate', models.DateTimeField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('publisher', models.ForeignKey(help_text='The publisher of this resource',
                                                on_delete=django.db.models.deletion.CASCADE, to='DBoD.publisher')),
                ('tenantuser',
                 models.ManyToManyField(help_text='TenantUserGroups with access', to='DBoD.TenantUserGroup')),
            ],
            options={
                'verbose_name': 'eResource',
                'verbose_name_plural': 'eResources',
            },
        ),
        migrations.CreateModel(
            name='EResourceDBData',
            fields=[
                ('eresource',
                 models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False,
                                      to='DBoD.eresource')),
                ('gateway', models.CharField(blank=True, help_text='Gateway', max_length=200, null=True)),
                ('dbserver', models.CharField(blank=True, help_text='DB Server', max_length=200, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='EResourceLegacyData',
            fields=[
                ('eresource',
                 models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False,
                                      to='DBoD.eresource')),
                ('version', models.CharField(help_text='The internal version of this resource', max_length=50)),
                ('info',
                 models.CharField(help_text='The field info as found in the ini-files', max_length=50, null=True)),
                ('use_template', models.BooleanField(help_text='Use template?', null=True)),
                (
                'template', models.CharField(blank=True, help_text='Which template to use', max_length=200, null=True)),
                ('new_window', models.BooleanField(help_text='Open in a new window?', null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ResourceTenantData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.CharField(blank=True, help_text='Username', max_length=20, null=True)),
                ('pwd', models.CharField(blank=True, help_text='Password', max_length=100, null=True)),
                ('limit', models.IntegerField(blank=True, help_text='Lic-Limit for this tenant', null=True)),
                ('eresource', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='DBoD.eresource')),
                ('tenant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='DBoD.tenant')),
            ],
            options={
                'unique_together': {('eresource', 'tenant')},
            },
        ),
    ]
