# DBoD2-Public

## Installation

### Voraussetzungen & Umgebung

Test-Umgebung
- Stand: 01.03.2022
- OS: Debian 11
- Installationspfad: /opt/dbod2/

| Software         | Version     | Bemerkungen                   |
|------------------|-------------|-------------------------------|
| Python           | 3.9.x       | inkl. VEnv, Redis, Dev        |
| MariaDB-Server   | 10.5.x      |                               |
| NodeJS           | 14.x        |                               |
| Django           | 3.2         |                               |
| Apache           | 2.4.x       | inkl. wsgi, rewrite, remoteip |

### Anleitung

1. SQL-Server inkl. Datenbank vorbereiten
1. Server mit Django vorbereiten
1. Git-Repository klonen
1. Virtuelle Umgebung erstellen
1. Requirements per pip isntallieren

#### Alle Schritte werden innerhalb des Repositorys durcheführt:

    python3 -m venv venv

    source venv/bin/activate

    pip install -r requirements.txt

    LoadFile /usr/lib/x86_64-linux-gnu/libpython3.9.so.1.0

#### Apache konfigurieren

##### /etc/apache2/mods-available/wsgi.load

    LoadFile /usr/lib/x86_64-linux-gnu/libpython3.9.so.1.0
    LoadModule wsgi_module /usr/lib/apache2/modules/mod_wsgi.so

##### /etc/apache2/mods-available/wsgi.conf

    <IfModule mod_wsgi.c>
	    WSGIPythonHome /opt/dbod2/venv/
	    WSGIPythonPath /opt/dbod2/
    </IfModule>

##### /etc/apache2/sites-available/site.conf

    <VirtualHost mysite.com:80>
	### proxy configuration ###
    RemoteIPHeader X-Forwarded-For

    # Your IP address here
    RemoteIPTrustedProxy ###.###.###.###

    UseCanonicalName On

	### Shibboleth configuration ###
    # Include /etc/shibboleth-ds/shibboleth-ds.conf
    # Redirect seeother /shibboleth /Shibboleth.sso/Metadata
    # RedirectMatch /start-session$ /Shibboleth.sso/Login

    # <Location /Shibboleth.sso>
    #     SetHandler shib
    #     AuthType None
    #     Require all granted
    # </Location>

    # <Location /shibboleth-sp>
    #     AuthType None
    #     Require all granted
    # </Location>

    # Alias /shibboleth-sp/main.css /usr/share/shibboleth/main.css

    # <Location /runtime/shibb >
    #     AuthType shibboleth
    #     ShibRequestSetting requireSession true
    #     Require valid-user
    # </Location>

    # <Location />
    #     SSLOptions +StdEnvVars
    #     AuthType shibboleth
    #     Require shibboleth
    # </Location>

    ### Python WSGI Konfig ###
    Alias /robots.txt /opt/dbod2/static/robots.txt
    Alias /favicon.ico /opt/dbod2/static/favicon.ico
    Alias /static/ /opt/dbod2/static/

    <Directory /opt/dbod2/static>
        Require all granted
    </Directory>

    <Directory /opt/dbod2>
    <IfVersion < 2.4>
        Order allow,deny
        Allow from all
    </IfVersion>
    <IfVersion >= 2.4>
        Require all granted
    </IfVersion>
    </Directory>

    WSGIDaemonProcess dbod2 python-home=/opt/dbod2/venv python-path=/opt/dbod2 user=dbod2 group=dbod2 processes=2$
    WSGIProcessGroup dbod2
    WSGIApplicationGroup %{GLOBAL}

    WSGIScriptAlias / /opt/dbod2/DBoD-System/wsgi.py

    <Directory /opt/dbod2/DBoD-System>
    <IfVersion < 2.4>
        Order allow,deny
        Allow from all
    </IfVersion>
    <IfVersion >= 2.4>
        Require all granted
    </IfVersion>
    </Directory>

    ErrorLog ${APACHE_LOG_DIR}/dbod2_error.log
    LogLevel debug
    CustomLog ${APACHE_LOG_DIR}/dbod2_access.log combined
    </VirtualHost>

#### Django-App-Konfig

    cp DBoD-System/settings.py.template DBoD-System/settings.py

In der Datei entsprechend der eigenen Umgebung die Datenbank-Einstellugnen vornehmen und Debug-Modus deaktivieren.

#### NPM installieren

    cd dbod-frontend
    npm install
    npm run postinstall
    npm run build
    cd ..

#### Django-Anwendung migrieren

    # Migration starten
    python ./manage.py migrate
    # wsgi-Datei "ändern", damit Apache die App sicher neu lädt
    touch DBoD-System/wsgi.py
    # Die statischen Dateien einsammeln und nach static/ schieben
    python ./manage.py collectstatic
    # Schauen ob neue Cronjobs dazu kamen/gelöscht wurden
    python ./manage.py crontab add

## Lizenz

Dieses Programm steht unter der [Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0).

Dieses Projekt wird von der Europäischen Union im Rahmen des Europäischen Fonds für regionale Entwicklung (EFRE) kofinanziert.
![EFRE-Logo](https://www.efre.nrw.de/fileadmin/_processed_/2/1/csm_ERFE_EU_Foerderhinweis_accf4b693d.jpg)
