import dbsettings
from django.db import models
from django.utils.translation import ugettext_lazy as _

from DBoD.models import EResource, Tenant


class DBoDStatiticSettings(dbsettings.Group):
    pass


class StatRecord(models.Model):
    OPEN = 'O'
    PAGEVIEW = 'P'
    DBSESSION = 'S'
    actions = [
        (OPEN, 'Open'),
        (PAGEVIEW, 'Pageview'),
        (DBSESSION, 'DB Session')
    ]

    eresource = models.ForeignKey('DBoD.EResource', on_delete=models.CASCADE, help_text=_('Resource'))
    tenant = models.ForeignKey('DBoD.Tenant', on_delete=models.CASCADE, help_text=_('Tenant'), null=True, blank=True)
    timestamp = models.DateTimeField(auto_now_add=True, help_text=_('Timestamp'))
    actiontype = models.CharField(max_length=1, choices=actions, help_text=_('Action'))
    data = models.CharField(max_length=255, blank=True, null=True, help_text=_('Actiondata'))


class SearchRecord(models.Model):
    PUBLISHER = 'P'
    ALL = 'A'
    searchtypes = [
        (ALL, 'all records'),
        (PUBLISHER, 'publisher listing')
    ]
    tenant = models.ForeignKey('DBoD.Tenant', on_delete=models.CASCADE, help_text=_('Tenant'), null=True, blank=True)
    timestamp = models.DateTimeField(auto_now_add=True, help_text=_('Timestamp'))
    searchtype = models.CharField(max_length=1, choices=searchtypes, help_text=_('Serachtype'))
    searchterm = models.CharField(max_length=255, help_text=_('Searchterm'))
    searchresults = models.IntegerField(help_text=_('Searchresults'))
