import logging

from django.utils.timezone import now

from DBoD.models import TenantUserGroup, EResource
from statistic.models import SearchRecord, StatRecord

logger = logging.getLogger(__name__)


def statSearch(tug: TenantUserGroup, type: str, term: str, results: int):
    logger.setLevel(logging.DEBUG)

    record = SearchRecord(
        timestamp=now(),
        tenant=tug.tenant,
        searchterm=term,
        searchresults=results,
        searchtype=SearchRecord.ALL
    )
    record.save()
    logger.info('Saved SearchRecord {}'.format(record.id))


def statOpen(tug: TenantUserGroup, eres: EResource):
    logger.setLevel(logging.DEBUG)

    record = StatRecord(
        eresource=eres,
        tenant=tug.tenant,
        timestamp=now(),
        actiontype=StatRecord.OPEN,
    )

    record.save()
    logger.info('Saved StatRecord {}'.format(record.id))


def statDB(tug: TenantUserGroup, eres: EResource, runtime):
    logger.setLevel(logging.DEBUG)

    record = StatRecord(
        eresource=eres,
        tenant=tug.tenant,
        timestamp=now(),
        actiontype=StatRecord.DBSESSION,
        data=runtime
    )

    record.save()
    logger.info('Saved StatRecord {}'.format(record.id))


def statPageView(tug: TenantUserGroup, eres: EResource, page: int):
    logger.setLevel(logging.DEBUG)

    record = StatRecord(
        eresource=eres,
        tenant=tug.tenant,
        timestamp=now(),
        actiontype=StatRecord.PAGEVIEW,
        data=page
    )

    record.save()
    logger.info('Saved PageviewRecord {}'.format(record.id))
