from django.urls import path

from . import views

urlpatterns = [
    path('', views.redirecttostart),
    path('welcome', views.welcome, name='ts_welcome'),
    path('owndata', views.owndata, name='ts_owndata'),
    path('orgdata', views.orgdata, name='ts_orgdata'),
    path('ressources', views.ressources, name='ts_ressources'),
    path('contactupload', views.contactupload, name='ts_contactupload'),
    path('start', views.owndata, name='start'),
    path('login', views.tenantlogin, name='login'),
    path('logout', views.tenantlogout, name='logout'),
    path('user/<str:userid>', views.usereditor, name='usereditor'),
    path('publisher/<str:pubid>', views.publisher, name='publishereditor'),
    path('usergroup/<str:usergroup>', views.usergroup, name='usergroupeditor'),
    path('ressource/<str:resource>', views.resource, name='resource'),
    path('app_res2tug/<str:resource>', views.app_res2tug, name='application_tug2res'),
    path('uploaddirect', views.uploaddirect, name='uploaddirect'),
    path('uploadftp', views.uploadftp, name='uploadftp'),
    path('uploadsuccess/<str:uploadid>', views.uploaddetails, name='uploadsuccess'),
    path('contact', views.contact, name='contact'),
    path('guestcontact', views.guestcontact, name='guestcontact'),
    path('report', views.report, name='report'),
    path('report/<str:res>', views.report, name='report'),
]
