import argparse
import logging
import os

import django

os.environ.setdefault("DJANGO_SETTINGS_MODULE", "DBoD-System.settings")
django.setup()

from DBoD.utils import export_IBF

FORMAT = '%(asctime)s %(levelname)s %(message)s'
logging.basicConfig(format=FORMAT)
logger = logging.getLogger('write-dbod')

if __name__ == '__main__':
    logger.setLevel(logging.INFO)

    parser = argparse.ArgumentParser(description='Write IBF')
    parser.add_argument('-db', dest='dbpath', help='Input path for databases')
    parser.add_argument('-org', dest='orgpath', help='Input path for organizations')
    parser.add_argument('-contact', dest='contact', help='Special file with contacts for orgs')
    parser.add_argument('-master', dest='master', help='master.ibf file wo write')
    args = parser.parse_args()

    dbpath = args.dbpath
    orgpath = args.orgpath
    contacts = args.contact
    master = args.master

    export_IBF(dbpath=dbpath, orgpath=orgpath, contactsfile=contacts, masterfile=master)
